=== modified file 'bzrlib/revisionspec.py'
--- bzrlib/revisionspec.py	2008-06-15 23:08:14 +0000
+++ bzrlib/revisionspec.py	2008-07-19 15:00:27 +0000
@@ -596,7 +596,7 @@
 
     One way to display all the changes since yesterday would be::
 
-        bzr log -r date:yesterday..-1
+        bzr log -r date:yesterday..
 
     Examples::
 
@@ -787,7 +787,7 @@
 
     Diffing against this shows all the changes that were made in this branch,
     and is a good predictor of what merge will do.  The submit branch is
-    used by the bundle and merge directive comands.  If no submit branch
+    used by the bundle and merge directive commands.  If no submit branch
     is specified, the parent branch is used instead.
 
     The common ancestor is the last revision that existed in both

=== modified file 'bzrlib/tests/blackbox/test_selftest.py'
--- bzrlib/tests/blackbox/test_selftest.py	2008-05-09 06:46:17 +0000
+++ bzrlib/tests/blackbox/test_selftest.py	2008-07-19 15:00:27 +0000
@@ -257,7 +257,7 @@
 class TestRunBzrSubprocess(TestCaseWithTransport):
 
     def test_run_bzr_subprocess(self):
-        """The run_bzr_helper_external comand behaves nicely."""
+        """The run_bzr_helper_external command behaves nicely."""
         result = self.run_bzr_subprocess('--version')
         result = self.run_bzr_subprocess(['--version'])
         result = self.run_bzr_subprocess('--version', retcode=None)

=== modified file 'tools/doc_generate/autodoc_rstx.py'
--- tools/doc_generate/autodoc_rstx.py	2007-12-17 04:45:41 +0000
+++ tools/doc_generate/autodoc_rstx.py	2008-07-19 15:00:27 +0000
@@ -127,7 +127,7 @@
 
 def _get_commands_section(registry, title="Commands", hdg_level1="#",
                           hdg_level2="="):
-    """Build the comands reference section of the manual."""
+    """Build the commands reference section of the manual."""
     lines = [title, hdg_level1 * len(title), ""]
     cmds = sorted(bzrlib.commands.builtin_command_names())
     for cmd_name in cmds:

